//----------------------------------------------------------------------------
//  Project Test_At3dx_Read_Write
//  MicroMouse Productions
//  Copyright  2005-2020. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------

#ifndef Test_At3dx_Read_WriteAppH
#define Test_At3dx_Read_WriteAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_Read_WriteForm : public TForm
{
__published:	// IDE-managed Components
  TCheckBox *Save2DLines;
  TCheckBox *SaveUV;
  TCheckBox *SaveQuads;
  TGroupBox *GroupBox1;
  TCheckBox *MakeQuads;
  TLabel *Label1;
  TLabel *Label2;
  TEdit *AngleBetweenNormals;
  TEdit *AngleBetweenEdges;
  TSpeedButton *ReadWriteFile;
  void __fastcall Save2DLinesClick(TObject *Sender);
  void __fastcall SaveUVClick(TObject *Sender);
  void __fastcall SaveQuadsClick(TObject *Sender);
  void __fastcall MakeQuadsClick(TObject *Sender);
  void __fastcall ReadWriteFileClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall Read_Write_3D_File(void);
  Int32 unused_W8057_Flag;
  char inName[MAX_PATH];
  int save2D_Flag;
  int saveUV_Flag;
  int saveQuads_Flag;
  int makeQuads_Flag;
  double angleBetweenNormals;
  double angleBetweenEdges;
public:		// User declarations
  __fastcall TTest_At3dx_Read_WriteForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_Read_WriteForm *Test_At3dx_Read_WriteForm;
//---------------------------------------------------------------------------
#endif
